Page MenuHomePhabricator

Add the ability to show terms in all entered languages on mobile
Closed, ResolvedPublic5 Story Points

Description

As a Wikidata mobile reader
I want to see terms in all languages I understand
in order to get all the information that might be missing in my interface language

BDD
GIVEN I am on a Wikidata item page
AND I click on the "In more languages" link
THEN I should see terms in all the languages that have an entry

Acceptance criteria:

  • There is an "in more languages" link below the item's details in the interface language (ignore the fancyness of the mocks, just a simple link here)
  • When the users click on the link, terms in other languages are hidden, or shown accordingly.
  • The languages displayed are the language in which there are existing labels, descriptions, and aliases, except for the interface language (as this is already visible above)
  • The design specifications are followed

Mockups (expanded):






Mockup (collapsed)

Design specifications

  • blue areas show the heights from font baseline to another baseline
  • red areas are touch targets
  • a touch target needs to have at least 48 px by 48 px, the icon/text is placed centered/centered
  • the red line with an arrow is a keyline which is the strict border for text content not to overlap with the interactive area
  • the interactive area has all icon buttons to trigger interactions in it
  • for expanding and collapsing the touch target uses the whole width of the screen





Notes

  • Although visible in the mocks, this task does not include the "all entered languages" link
  • Although visible in the mocks, this task does not include any missing term treatment
  • Although visible in the mocks, this link does not look any specific way, but is "just a link"

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 24 2018, 10:25 AM
Lea_WMDE triaged this task as Normal priority.Sep 27 2018, 7:22 AM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE updated the task description. (Show Details)Sep 27 2018, 7:26 AM
Lea_WMDE updated the task description. (Show Details)Sep 27 2018, 10:04 AM
Lea_WMDE updated the task description. (Show Details)Oct 4 2018, 7:23 AM
WMDE-leszek set the point value for this task to 8.Oct 16 2018, 11:26 AM
WMDE-leszek updated the task description. (Show Details)Nov 14 2018, 4:10 PM
WMDE-leszek changed the point value for this task from 8 to 5.
Lea_WMDE updated the task description. (Show Details)Nov 22 2018, 2:12 PM
Lea_WMDE updated the task description. (Show Details)Dec 7 2018, 12:16 PM

I changed the task description due to the decision to keep the termbox expanded by default. This changes comes from trying to get the javascript and non-js version as similar as possible.
Since this ticket is still in the "TODO" column I hope this does not create any extra work.

Lea_WMDE renamed this task from Add the ability to show terms in more languages on mobile to Add the ability to show terms in all entered languages on mobile.Dec 17 2018, 10:59 AM

As discussed, this story only handles the client-side expanding/collapsing behavior. The no-js, reloading version of it will be tracked separately.

Change 485205 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/Wikibase@master] Update Termbox

https://gerrit.wikimedia.org/r/485205

Change 485205 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Update Termbox

https://gerrit.wikimedia.org/r/485205

@Lea_WMDE: I believe this can be product-reviewed now! Link: https://wikidata.beta.wmflabs.org/w/index.php?title=Item:Q11&useformat=mobile&uselang=en

Note: T214178 is a task touching on this story, but will not affect the look or the behavior of it.

Thanks! So the one acceptance criteria that is not fulfilled is "expanded by default", but since this is a task describing an intermediary step I will accept the story anyways (and amend the ACs)

Lea_WMDE updated the task description. (Show Details)Jan 22 2019, 5:53 PM
WMDE-leszek closed this task as Resolved.Feb 10 2019, 12:57 PM
WMDE-leszek claimed this task.
WMDE-leszek added a subscriber: WMDE-leszek.

@Lea_WMDE closing this one. Please re-open if it was not expected to be closed.